#include <bits/stdc++.h>

using namespace std;

void solve(){
    int n, m;
    cin >> n >> m;
    multiset<int> c;
    for(int i = 1;i <= n;i++){
        c.insert(0);
    }
    int ans = 0;
    for(int i = 1, x;i <= m;i++){
        cin >> x;
        int k = *c.begin();
        c.erase(c.begin());
        ans += x - 2 * k;
        c.insert(x - k);
    }
    cout << ans << "\n";
}

int main()
{

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int t;
    cin >> t;
    while(t--){
        solve();
    }

    return 0;
}
